Aula Virtual en Educamadrid [Solucionado]

Aqui puedes exponer tus dudas técnicas sobre la utilización del portal EducaMadrid y sus diferentes herramientas, así como colaborar con otros usuarios respondiendo a las dudas que se planteen. Además, tienes también a tu disposición la página de ayuda del portal EducaMadrid.

Moderador: webmaster

Responder
ptrivino
Mensajes: 589
Registrado: 06 Nov 2005, 00:09

Aula Virtual en Educamadrid [Solucionado]

Mensaje por ptrivino »

Estimados amigos:

Hemos montado un grupo de trabajo de Matemáticas para elaborar materiales en Moodle y al intentar utilizar el aula virtual hemos visto que:
- La versión de Moodle es antigua.
- No está activado el lenguaje latex.
- El plugin del editor de MathML de wiris es antiguo.
- El plugin para insertar applet de wiris no está instalado.
- El plugin para insertar ficheros geogebra no está instalado.

En nuestro caso además nos gustaría poder tocar la base de datos con phpmyadmin para incluir javascript o poder modificar los ficheros css, pero eso entiendo que sería más difícil.
Actualmente nos alojamos en un servidor de pago.

Nos gustaría saber si se va a hacer algo al respecto o si se podría permitir la instalación de moodle en el espacio web del instituto. Ahora es imposible por la configuración de seguridad de php que tenéis instalada (y que va a prohibirse en próximas versiones de php).
Un saludo.
Última edición por ptrivino el 25 Feb 2008, 19:06, editado 1 vez en total.
Pablo J. Triviño Rodríguez
IES Carmen Conde (Las Rozas)
amadeo.mora
Mensajes: 35
Registrado: 10 Dic 2006, 21:47

Mensaje por amadeo.mora »

Hola Pablo:

En mi centro -IES Clara del Rey- he montado un Moodle 1.8 -y Joomla y phpBB- con el servicio de páginas dinámicas de EducaMadrid. Accede si quieres a nuestra página y lo ves.

Alguna vez ha surgido alguna pega por la configuración que tienen puesta pero se han ido solventando.

Puedes acceder http://www.educa.madrid.org/web/ies.claradelrey.madrid/
y dentro en el acceso a Aula virtual.

Si necesitáis algún tipo de ayuda lo comentáis e incluso toda esa información se podría incorporar al portal TIC.

Saludos
ptrivino
Mensajes: 589
Registrado: 06 Nov 2005, 00:09

Mensaje por ptrivino »

Gracias Amadeo.
Yo monté un moodle 1.8 en la dirección de mi IES al día siguiente de ver el del Clara del Rey. El problema es que me dio problemas nada más empezar con las direcciones relativas. No se por qué los vínculos de configuración, usuarios, etc... me llevaba a una URL erronea y tocando yo la dirección iba entrando donde quería. El tema es que así no me apetecía trabajar pues era doble trabajo y nunca sabía si estaba bien. El problema es uno de los permisos de php. El propio moodle te avisa al instalarse.
Encontramos un servidor gratuito por dos años y allí estamos:
http://academia.ptrivino.es
Puedes entrar en los cursos con usuario prueba y contraseña prueba.
¿Cómo has configurado el cron en Educamadrid? Por ejemplo. No tenemos acceso ssh a nuestras cuentas.
¿Por qué los profesores no tenemos espacio web con acceso ftp?
Gracias Amadeo.
Pablo J. Triviño Rodríguez
IES Carmen Conde (Las Rozas)
felipe
Mensajes: 26
Registrado: 13 Feb 2008, 23:50

Re: Aula Virtual en Educamadrid

Mensaje por felipe »

ptrivino escribió:Estimados amigos:

Hemos montado un grupo de trabajo de Matemáticas para elaborar materiales en Moodle y al intentar utilizar el aula virtual hemos visto que:
- La versión de Moodle es antigua.
- No está activado el lenguaje latex.
- El plugin del editor de MathML de wiris es antiguo.
- El plugin para insertar applet de wiris no está instalado.
- El plugin para insertar ficheros geogebra no está instalado.

En nuestro caso además nos gustaría poder tocar la base de datos con phpmyadmin para incluir javascript o poder modificar los ficheros css, pero eso entiendo que sería más difícil.
Actualmente nos alojamos en un servidor de pago.

Nos gustaría saber si se va a hacer algo al respecto o si se podría permitir la instalación de moodle en el espacio web del instituto. Ahora es imposible por la configuración de seguridad de php que tenéis instalada (y que va a prohibirse en próximas versiones de php).
Un saludo.
Qué tal Pablo,

Es interesante vuestra iniciativa para elaborar materiales en Moodle, espero que resulte fructífera.
Permiteme ahora algunas consideraciones a las "sugerencias" que haces de mejoras en el Aula Virtual de Educamadrid:

Dices que la versión de Moodle del Aula Virtual es antigua. Tal vez pueda entenderse así por estar utilizando la versión 1.7, pero permíteme recordarte que la versión de producción estable más novedosa es la 1.8. Como seguramente sabrás, la 1.9 es por ahora una versión beta.

Nuestro criterio, muy extendido entre las entidades que ofrecen servicios en el terreno de la tecnología, es que lo más aconsejable resulta ser mantenerse siempre una versión por debajo de la última estable. Las razones son evidentes: estabilidad, seguridad, rendimiento y robusted. Estas cuatro características son fundamentales cuando se ofrece un servicio que, en nuestro caso, está siendo utilizado por 6.000 profesores en más de 300 cursos diferentes.

En cualquier caso, nuestra planificación de actualización de versiones de la Moodle tiene establecido el objetivo de migrar a la versión 1.8.3 durante las vacaciones de verano del profesorado y alumnos.

En fin, para terminar con este asunto de la versión "antigua", decirte que Moodle reserva este adjetivo para la versión 1.6 e inferiores (http://docs.moodle.org/es/Notas_de_versiones_antiguas).

El asunto de Latex. Hasta ahora no se nos había solicitado por los profesores de cursos del Aula Virtual. A la vista de tu indicación, ya se ha activado.

Dices que el plugin del editor de MathML de wiris es antiguo. Este plugin es de agosto de 2007 y, que sepamos nosotros, la versión instalada del editor wiris es la única existente. ¿Conoces alguna posterior del editor?

Dices que el plugin para insertar applet de wiris no está instalado. Tienes razón. El problema está en que este plugin está sometido a licencia, no es gratuito. Si tenéis especial interés en el mismo haremos lo posible para instalarlo legalmente.

Dices que el plugin para insertar ficheros geogebra no está instalado. Tiens razón. Lo vamos a estudiar, es un plugin de terceros que parece reciente y con aún pocas aportaciones sobre sus posibles problemas.

Una última sugerencia por mi parte. Tenéis disponible el Aula Virtual que, aunque no sea exactamente la versión que os gustaría, creo que puede responder a prácticamente todas vuestras necesidades, con el compromiso, por nuestra parte, de incorporar los plugins estables que se precisen. Además tendréis el valor añadido de garantías de rendimiento, seguridad, ancho de banda y estabilidad (tenemos una administración y monitorización 24x7).

Saludos,
Felipe
ptrivino
Mensajes: 589
Registrado: 06 Nov 2005, 00:09

Mensaje por ptrivino »

Hola Felipe:

¿Por qué entrecomillas sugerencias? ¿No te lo parecen?
Me carteo con Ramón Eixarch (supongo que sabes quien es) y estoy al tanto de las dificultades en las conversaciones para comprar wiris.
Entiendo las dificultades que tenéis para mantener toda la infraestructura.
Me considero definido por mis intervenciones en este y otros foros (virtuales y reales) a lo largo de los últimos 15 años.
Un saludo.
Pablo J. Triviño Rodríguez
IES Carmen Conde (Las Rozas)
amadeo.mora
Mensajes: 35
Registrado: 10 Dic 2006, 21:47

Mensaje por amadeo.mora »

Hola Felipe:

Aprovechando tu comentario, me gustaría indicar que la instalación de PHP y MySQL en el sistema de páginas dinámicas es excesivamente restrictivo.

Por ejemplo la activación de safe_mode: de hecho la nueva versión de PHP (PHP6 todavía en desarrollo) elimina el modo safe_mode por considerarlo inadecuado (ellos dicen literalmente absurdo).

O los valores que devuelve el servidor a cada usuario, en nuestro caso:

SERVER_NAME = ies.claradelrey.madrid
SERVER_PORT = 8888

Como bien sabes, por mi trayectoria profesional, soy muy comprensivo en todos los temas de seguridad y por tanto únicamente os animo a considerar otras posibilidades más abiertas.

Y una cosa más: mi mayor reconocimiento al equipo que trabajo que está contigo pues cada vez que he tenido que consultar algo me han atendido maravillosamente.

Saludos
Amadeo
felipe
Mensajes: 26
Registrado: 13 Feb 2008, 23:50

Mensaje por felipe »

ptrivino escribió:Hola Felipe:

¿Por qué entrecomillas sugerencias? ¿No te lo parecen?
Me carteo con Ramón Eixarch (supongo que sabes quien es) y estoy al tanto de las dificultades en las conversaciones para comprar wiris.
Entiendo las dificultades que tenéis para mantener toda la infraestructura.
Me considero definido por mis intervenciones en este y otros foros (virtuales y reales) a lo largo de los últimos 15 años.
Un saludo.
Qué tal Pablo,
Agradecemos que los usuarios nos planteen sus necesidades y, siempre que nos es posible, les damos respuesta. Nuestras posibilidades vienen en la mayoría de los casos supeditadas a condiciones de seguridad y rendimiento. Somos necesariamente conservadores y nuestro ritmo es más lento que el de un usuario que pueda tener un servidor personal o en hosting. La mayoría de las aplicaciones, por no decir todas, tienen bugs y riesgos de seguridad, en algunos casos importantes. Si te das un "paseo" por el tracker de Moodle constatarás que las nueva versiones incorporan mejoras de funcionalidad, pero también nuevos bugs de éstas y, lo que es más disruptivo, bugs en funcionalidades anteriores. Y, precisamente, no son unas decenas, sino centenares de bugs. Por ponerte un ejemplo concreto: la versión 1.8 introdujo un bug en la funcionalidad de grupos respecto a determinados módulos que solo 8 meses después de identificado se solucionó.

Como te decía en el anterior post tenemos 6.000 profesores que utilizan el Aula Virtual en más de 300 cursos, con expectativas confirmadas de un creciente uso. Hemos de avanzar con pié firme en los cambios para no crear problemas donde antes no existían.

Respecto a Wiris, la Consejería tiene una licencia de la que podéis hacer uso. No entiendo por qué es necesario que vuestro centro tenga que adquirir otra.
ptrivino
Mensajes: 589
Registrado: 06 Nov 2005, 00:09

Mensaje por ptrivino »

Perdona Felipe, me refería a las dificultades de las conversaciones
con vosotros
. Entre las nuevas funcionalidades se incluiría el plugin de java para moodle. Nosotros utilizamos el wiris de la Consejería de educación de la Comunidad de Madrid. Ni se nos ocurriría plantearnos comprar una licencia por separado.

Por cierto Amadeo, enhorabuena por el servidor moodle del Clara del Rey. ¿Cómo has conseguido que la gente produzca tanto material?
Pablo J. Triviño Rodríguez
IES Carmen Conde (Las Rozas)
amadeo.mora
Mensajes: 35
Registrado: 10 Dic 2006, 21:47

Mensaje por amadeo.mora »

Hola Pablo:

Pues simplemente por que cuento con un grupo de compañeras/os fantásticas/os. (Ya no sigo con la a/o).

En el caso de enseñanzas a distancia monté un esqueleto de curso para todas las materias con datos típicos y ayudado por los coordinadores de ciclo rellenamos estos datos iniciales.

Se impartió una jornada -de una hora y media- a los profesores que quisieron sobre lo más básico de Moodle.

Posteriormente cuando han necesitado ayuda, me lo han dicho, lo hemos hecho a medias o les he dicho como se hace -hasta donde yo sé-.

Nos falta la fase siguiente que es que las materias que se quieran pasen a ser cerradas -sólo para los alumnos matriculados-, algo que ya ocurre con algunas materias presenciales que están incluídas en la plaforma y que permite desarrollar muchas más posibilidades colaborativas de Moodle como bien sabes.

Saludos
Amadeo
felipe
Mensajes: 26
Registrado: 13 Feb 2008, 23:50

Re: Aula Virtual en Educamadrid

Mensaje por felipe »

felipe escribió:
ptrivino escribió:Estimados amigos:

Hemos montado un grupo de trabajo de Matemáticas para elaborar materiales en Moodle y al intentar utilizar el aula virtual hemos visto que:
- La versión de Moodle es antigua.
- No está activado el lenguaje latex.
- El plugin del editor de MathML de wiris es antiguo.
- El plugin para insertar applet de wiris no está instalado.
- El plugin para insertar ficheros geogebra no está instalado.

En nuestro caso además nos gustaría poder tocar la base de datos con phpmyadmin para incluir javascript o poder modificar los ficheros css, pero eso entiendo que sería más difícil.
Actualmente nos alojamos en un servidor de pago.

Nos gustaría saber si se va a hacer algo al respecto o si se podría permitir la instalación de moodle en el espacio web del instituto. Ahora es imposible por la configuración de seguridad de php que tenéis instalada (y que va a prohibirse en próximas versiones de php).
Un saludo.
Qué tal Pablo,

Es interesante vuestra iniciativa para elaborar materiales en Moodle, espero que resulte fructífera.
Permiteme ahora algunas consideraciones a las "sugerencias" que haces de mejoras en el Aula Virtual de Educamadrid:

Dices que la versión de Moodle del Aula Virtual es antigua. Tal vez pueda entenderse así por estar utilizando la versión 1.7, pero permíteme recordarte que la versión de producción estable más novedosa es la 1.8. Como seguramente sabrás, la 1.9 es por ahora una versión beta.

Nuestro criterio, muy extendido entre las entidades que ofrecen servicios en el terreno de la tecnología, es que lo más aconsejable resulta ser mantenerse siempre una versión por debajo de la última estable. Las razones son evidentes: estabilidad, seguridad, rendimiento y robusted. Estas cuatro características son fundamentales cuando se ofrece un servicio que, en nuestro caso, está siendo utilizado por 6.000 profesores en más de 300 cursos diferentes.

En cualquier caso, nuestra planificación de actualización de versiones de la Moodle tiene establecido el objetivo de migrar a la versión 1.8.3 durante las vacaciones de verano del profesorado y alumnos.

En fin, para terminar con este asunto de la versión "antigua", decirte que Moodle reserva este adjetivo para la versión 1.6 e inferiores (http://docs.moodle.org/es/Notas_de_versiones_antiguas).

El asunto de Latex. Hasta ahora no se nos había solicitado por los profesores de cursos del Aula Virtual. A la vista de tu indicación, ya se ha activado.

Dices que el plugin del editor de MathML de wiris es antiguo. Este plugin es de agosto de 2007 y, que sepamos nosotros, la versión instalada del editor wiris es la única existente. ¿Conoces alguna posterior del editor?

Dices que el plugin para insertar applet de wiris no está instalado. Tienes razón. El problema está en que este plugin está sometido a licencia, no es gratuito. Si tenéis especial interés en el mismo haremos lo posible para instalarlo legalmente.

Dices que el plugin para insertar ficheros geogebra no está instalado. Tiens razón. Lo vamos a estudiar, es un plugin de terceros que parece reciente y con aún pocas aportaciones sobre sus posibles problemas.

Una última sugerencia por mi parte. Tenéis disponible el Aula Virtual que, aunque no sea exactamente la versión que os gustaría, creo que puede responder a prácticamente todas vuestras necesidades, con el compromiso, por nuestra parte, de incorporar los plugins estables que se precisen. Además tendréis el valor añadido de garantías de rendimiento, seguridad, ancho de banda y estabilidad (tenemos una administración y monitorización 24x7).

Saludos,
Felipe
Hoy, 25/02/08, se ha activado el plugin para insertar applet de wiris. Así, pues, la situación la sitaución actual es la siguiente:
  • Latex: activado.
    Editor de MathML de wiris: activado.
    Plugin para insertar applet de wiris: activado.
    lugin para insertar ficheros geogebra: en análisis.
Saludos,
Felipe
felipe
Mensajes: 26
Registrado: 13 Feb 2008, 23:50

Mensaje por felipe »

Actualmente el Aula Virtual de Educamadrid (basada en Moodle) dispone de las siguientes funcionalidades útiles para el ámbito de las matemáticas

- Latex: activado.
- Editor de MathML de wiris: activado.
- Plugin para insertar applet de wiris: activado.
- Plugin para insertar ficheros Geogebra: ACTIVADO (08/04/08)
ptrivino
Mensajes: 589
Registrado: 06 Nov 2005, 00:09

Mensaje por ptrivino »

Gracias Felipe.
Pablo J. Triviño Rodríguez
IES Carmen Conde (Las Rozas)
felipe
Mensajes: 26
Registrado: 13 Feb 2008, 23:50

Mensaje por felipe »

Pablo: por favor, no dudes, en indicarnos cuantas necesidades tengáis en relación a este asunto. Iremos poco a poco dando respuesta.
Responder